<div class="chatbox">
  <app-chatbox-message
    *ngFor="let message of messages$ | async"
    [message]="message"
    [userId]="user.id"
    (click)="displayReactions($any($event), message)"
  ></app-chatbox-message>
</div>

<form [formGroup]="form">
  <input formControlName="text">
  <button (click)="sendMessage()" (keydown.enter)="sendMessage()">Send</button>
</form>

<app-chatbox-message-reactions
  *ngIf="selectedMessage"
  [selectedIcon]="selectedIcon"
  (select)="addReaction($event)"
  [style.top.px]="reactionsPosition.top"
  [style.left.px]="reactionsPosition.left"
></app-chatbox-message-reactions>
